SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Conditions of Use
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:avg

fn:avg(anyAtomicType* $srcval) → anyAtomicType?

Function signature

$srcval | xdt:anyAtomicType *
Result | xdt:anyAtomicType ?

Returns the average of a set of numbers or durations

XPath 2.0 Specification

Next